Fix deprecated library function (os.popen()).

Bug #1529836 reported by Harshada Mangesh Kakad on 2015-12-29
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Blazar
Wishlist
Harshada Mangesh Kakad
Ceilometer
Fix Released
Undecided
Kairo Araujo
Cinder
Low
Harshada Mangesh Kakad
Glance
Undecided
Harshada Mangesh Kakad
Kwapi
Undecided
sumit
Manila
Undecided
Harshada Mangesh Kakad
Murano
Wishlist
Unassigned
OpenStack Compute (nova)
Undecided
Harshada Mangesh Kakad
OpenStack Dashboard (Horizon)
Low
Harshada Mangesh Kakad
OpenStack Heat
Fix Released
Undecided
Yatin Kumbhare
OpenStack Identity (keystone)
Undecided
Harshada Mangesh Kakad
OpenStack Object Storage (swift)
Undecided
Harshada Mangesh Kakad
Python client library for Zaqar
Undecided
Md Nadeem
Sahara
Fix Released
Low
Bo Chi
Zaqar-ui
Undecided
Shu Muto
bilean
Undecided
sumit
ceilometer-powervm
Undecided
Harshada Mangesh Kakad
congress
Low
sumit
glance_store
Undecided
sumit
group-based-policy-specs
Undecided
Sharat Sharma
horizon-cisco-ui
Undecided
Sharat Sharma
keystoneauth
Undecided
LiuNanke
keystonemiddleware
Low
LiuNanke
networking-powervm
Undecided
Harshada Mangesh Kakad
neutron
Low
Unassigned
nova-powervm
Undecided
sumit
python-heatclient
Fix Released
Undecided
Harshada Mangesh Kakad
python-keystoneclient
Undecided
Unassigned
senlin
Undecided
lei zhang
tempest
Undecided
Harshada Mangesh Kakad

Bug Description

Deprecated library function os.popen is still in use at some places. Need to replace it using subprocess module.

CVE References

Changed in tempest:
assignee: nobody → Harshada Mangesh Kakad (harshada-kakad)
Changed in cinder:
assignee: nobody → Harshada Mangesh Kakad (harshada-kakad)
Changed in devstack:
assignee: nobody → Harshada Mangesh Kakad (harshada-kakad)
Changed in horizon:
assignee: nobody → Harshada Mangesh Kakad (harshada-kakad)
Changed in neutron:
assignee: nobody → Harshada Mangesh Kakad (harshada-kakad)
Changed in nova:
assignee: nobody → Harshada Mangesh Kakad (harshada-kakad)
Changed in oslo-incubator:
assignee: nobody → Harshada Mangesh Kakad (harshada-kakad)
Changed in swift:
assignee: nobody → Harshada Mangesh Kakad (harshada-kakad)
Changed in cinder:
status: New → In Progress
Changed in nova:
status: New → In Progress
Changed in horizon:
status: New → In Progress
Changed in swift:
status: New → In Progress
Changed in devstack:
status: New → In Progress
Changed in tempest:
status: New → In Progress
Changed in oslo-incubator:
status: New → In Progress
Changed in neutron:
status: New → In Progress
Sean McGinnis (sean-mcginnis) wrote :

os.popen not used in Cinder.

no longer affects: cinder

@Sean McGinnis (sean-mcginnis) : I still see os.popen is used in cinder/doc/source/conf.py

git_cmd = "git log --pretty=format:'%ad, commit %h' --date=local -n1"
html_last_updated_fmt = os.popen(git_cmd).read()

Doug Hellmann (doug-hellmann) wrote :

Looking at where os.open is being used, I see mostly tests or Sphinx configuration files. We should probably go ahead and fix them, but it would be good to focus on production code first if possible.

  $ aeromancer grep os.popen | egrep -v '(bandit|conf.py|test)'
  openstack/fuel-ostf/fuel_health/common/ssh.py: f_path = os.popen('ls %s' % path, 'r').read().strip('\n')
  openstack/fuel-qa/utils/jenkins/fuel_logs.py: cls.pipe = os.popen('less --chop-long-lines', 'w')
  openstack/monasca-agent/monasca_agent/collector/checks_d/check_mk_local.py: for line in os.popen(self.init_config.get('mk_agent_path')).readlines():
  openstack/monasca-agent/monasca_agent/collector/checks_d/postfix.py: count = os.popen('sudo find %s -type f | wc -l' % queue_path)
  openstack/monitoring-for-openstack/legacy/oschecks-check_swift_dispersion:with os.popen("swift-dispersion-report -j %s" \
  openstack/openstackdocstheme/README.rst: gitsha = os.popen(git_cmd).read().strip('\n')

Changed in neutron:
importance: Undecided → Low
Changed in manila:
assignee: nobody → Abhishek Kekane (abhishek-kekane)
Changed in cinder:
assignee: nobody → Abhishek Kekane (abhishek-kekane)
Changed in keystone:
assignee: nobody → Abhishek Kekane (abhishek-kekane)
Changed in manila:
assignee: Abhishek Kekane (abhishek-kekane) → Harshada Mangesh Kakad (harshada-kakad)
Changed in cinder:
assignee: Abhishek Kekane (abhishek-kekane) → Harshada Mangesh Kakad (harshada-kakad)
Changed in keystone:
assignee: Abhishek Kekane (abhishek-kekane) → Harshada Mangesh Kakad (harshada-kakad)
Changed in cinder:
status: New → In Progress
Changed in manila:
status: New → In Progress
Changed in keystone:
status: New → In Progress
Changed in glance:
assignee: nobody → Harshada Mangesh Kakad (harshada-kakad)
status: New → In Progress

Reviewed: https://review.openstack.org/262265
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=3ff7ecae4a4038e3058ac0f5e7ca4eeb6ad96713
Submitter: Jenkins
Branch: master

commit 3ff7ecae4a4038e3058ac0f5e7ca4eeb6ad96713
Author: Harshada Mangesh Kakad <email address hidden>
Date: Tue Dec 29 08:27:58 2015 -0800

    Fixing the deprecated library function.

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: I044e88e82bcaff14fe57e876dd59d48197cd68be
    Partial-Bug: #1529836

Reviewed: https://review.openstack.org/262733
Committed: https://git.openstack.org/cgit/openstack/manila/commit/?id=7fb5d6b406b12b7c305134ac47b64d62ce5533d2
Submitter: Jenkins
Branch: master

commit 7fb5d6b406b12b7c305134ac47b64d62ce5533d2
Author: Harshada Mangesh Kakad <email address hidden>
Date: Thu Dec 31 02:02:57 2015 -0800

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since python 2.6. Resolved with use of
    subprocess module.

    Change-Id: I09f69b57b6dad10a5a6034b39d70f7ab3141bc2a
    Closes-Bug: #1529836

Changed in manila:
status: In Progress → Fix Released
Changed in python-keystoneclient:
assignee: nobody → Yatin Kumbhare (yatinkumbhare-c)
Changed in python-keystoneclient:
status: New → In Progress

Reviewed: https://review.openstack.org/262722
Committed: https://git.openstack.org/cgit/openstack/swift/commit/?id=6786cdf036b4faabe3928c3d0dd9615d94834801
Submitter: Jenkins
Branch: master

commit 6786cdf036b4faabe3928c3d0dd9615d94834801
Author: Harshada Mangesh Kakad <email address hidden>
Date: Thu Dec 31 01:44:00 2015 -0800

    Fixing the deprecated library function.

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: I4409cdd9edbc1a26d6f99c125c9100fadda5d758
    Partial-Bug: #1529836

Reviewed: https://review.openstack.org/262551
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=4fe1864351758990431e2e34c7eabe559376e0ca
Submitter: Jenkins
Branch: master

commit 4fe1864351758990431e2e34c7eabe559376e0ca
Author: Harshada Mangesh Kakad <email address hidden>
Date: Wed Dec 30 07:55:45 2015 -0800

    Fixing the deprecated library function.

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: I2ff32c4dc37c543696125ac755dc4adb69ddacdf
    Partial-Bug: #1529836

Reviewed: https://review.openstack.org/262720
Committed: https://git.openstack.org/cgit/openstack/tempest/commit/?id=d11d5ee09de8d2d15c18519cdc5fa3aedd985ac2
Submitter: Jenkins
Branch: master

commit d11d5ee09de8d2d15c18519cdc5fa3aedd985ac2
Author: Harshada Mangesh Kakad <email address hidden>
Date: Thu Dec 31 01:38:46 2015 -0800

    Fixing the deprecated library function.

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: I0751dbda085922d5e390cb7a19a9e832d399e20b
    Partial-Bug: #1529836

Reviewed: https://review.openstack.org/262729
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=3fa4b8003a63f55226a14608611b09a340211cfe
Submitter: Jenkins
Branch: master

commit 3fa4b8003a63f55226a14608611b09a340211cfe
Author: Harshada Mangesh Kakad <email address hidden>
Date: Thu Dec 31 01:55:48 2015 -0800

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: I4d0044c110c32f87ac0316a7e665e2bb9ea88813
    Partial-Bug: #1529836

Reviewed: https://review.openstack.org/262570
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=c40464514d999917aa1b1f0e00f261136e046f39
Submitter: Jenkins
Branch: master

commit c40464514d999917aa1b1f0e00f261136e046f39
Author: Harshada Mangesh Kakad <email address hidden>
Date: Wed Dec 30 08:59:21 2015 -0800

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: Iea9c0501f46c57d809217912fb0f40eb2bc4f111
    Closes-Bug: #1529836

Changed in nova:
status: In Progress → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/265588

Changed in neutron:
assignee: Harshada Mangesh Kakad (harshada-kakad) → LiuNanke (nanke-liu)

Change abandoned by LiuNanke (<email address hidden>) on branch: master
Review: https://review.openstack.org/265588

Fix proposed to branch: master
Review: https://review.openstack.org/265591

Changed in python-keystoneclient:
assignee: Yatin Kumbhare (yatinkumbhare-c) → LiuNanke (nanke-liu)
Changed in python-keystoneclient:
assignee: LiuNanke (nanke-liu) → Steve Martinelli (stevemar)
LiuNanke (nanke-liu) on 2016-01-10
Changed in neutron:
assignee: LiuNanke (nanke-liu) → nobody
Changed in python-keystoneclient:
assignee: Steve Martinelli (stevemar) → LiuNanke (nanke-liu)
assignee: LiuNanke (nanke-liu) → nobody
lei zhang (zhang-lei) on 2016-01-11
Changed in ceilometer:
assignee: nobody → lei zhang (zhang-lei)
status: New → In Progress
lei zhang (zhang-lei) on 2016-01-11
Changed in zaqar:
assignee: nobody → lei zhang (zhang-lei)
status: New → In Progress
Changed in murano:
assignee: nobody → lei zhang (zhang-lei)
status: New → In Progress
Changed in heat:
assignee: nobody → lei zhang (zhang-lei)
status: New → In Progress
lei zhang (zhang-lei) on 2016-01-11
Changed in senlin:
assignee: nobody → lei zhang (zhang-lei)
status: New → In Progress
Bo Chi (bochi-michael) on 2016-01-11
Changed in sahara:
assignee: nobody → Bo Chi (bochi-michael)

Fix proposed to branch: master
Review: https://review.openstack.org/265731

Changed in sahara:
status: New → In Progress

Change abandoned by Bo Chi (<email address hidden>) on branch: master
Review: https://review.openstack.org/265731
Reason: same patch with https://review.openstack.org/#/c/265548/

Changed in murano:
importance: Undecided → Medium
milestone: none → mitaka-2

Reviewed: https://review.openstack.org/262731
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=114f72f286888eee7c935470e9795099c41d64db
Submitter: Jenkins
Branch: master

commit 114f72f286888eee7c935470e9795099c41d64db
Author: Harshada Mangesh Kakad <email address hidden>
Date: Thu Dec 31 02:00:15 2015 -0800

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: Id8edeb60aa32f556b58ed0397d27598c39945241
    Closes-Bug: #1529836

Changed in keystone:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/265592
Committed: https://git.openstack.org/cgit/openstack/murano/commit/?id=b411ba3e5016f3f9ed04ba773f2dd0bc41721095
Submitter: Jenkins
Branch: master

commit b411ba3e5016f3f9ed04ba773f2dd0bc41721095
Author: LiuNanke <email address hidden>
Date: Sun Jan 10 04:45:57 2016 +0800

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.
    Closes-bug: #1529836

    Change-Id: I0f9d46e5402fcb809575163a27448d9463b703b0

Changed in murano:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/263594
Committed: https://git.openstack.org/cgit/openstack/python-keystoneclient/commit/?id=13ade585c6e0212db8f89935f107e1d1718b59c3
Submitter: Jenkins
Branch: master

commit 13ade585c6e0212db8f89935f107e1d1718b59c3
Author: Yatin Kumbhare <email address hidden>
Date: Tue Jan 5 12:30:29 2016 +0530

    Fix for the deprecated library function

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: I53c21d6e8a9d23646c236ae33d652f1aefc20153
    Closes-Bug: #1529836

Changed in python-keystoneclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/265550
Committed: https://git.openstack.org/cgit/openstack/zaqar/commit/?id=5d228de79d074d8e4ab4bbf804bbf3d9e406ac6f
Submitter: Jenkins
Branch: master

commit 5d228de79d074d8e4ab4bbf804bbf3d9e406ac6f
Author: LiuNanke <email address hidden>
Date: Sat Jan 9 21:55:24 2016 +0800

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.
    Closes-bug: #1529836

    Change-Id: I3701a14026a85898bc01f3102369a2f87de56015

Changed in zaqar:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/265590
Committed: https://git.openstack.org/cgit/openstack/neutron-lbaas/commit/?id=0a718818f4d7f4bc1ab745eb3081321ef6cf9a3a
Submitter: Jenkins
Branch: master

commit 0a718818f4d7f4bc1ab745eb3081321ef6cf9a3a
Author: LiuNanke <email address hidden>
Date: Sun Jan 10 04:22:34 2016 +0800

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.
    Closes-bug: #1529836

    Change-Id: I61cf2ff6ef939b97c1c70325e15b89a47e5646e4

Changed in neutron:
status: In Progress → Fix Released

Change abandoned by Steve Martinelli (<email address hidden>) on branch: master
Review: https://review.openstack.org/265591
Reason: https://review.openstack.org/#/c/263594/ with did the same thing is now merged

lei zhang (zhang-lei) on 2016-01-12
Changed in murano:
assignee: lei zhang (zhang-lei) → nobody
no longer affects: zaqar
no longer affects: heat
Changed in python-zaqarclient:
assignee: nobody → MD NADEEM (mail2nadeem92)

Fix proposed to branch: master
Review: https://review.openstack.org/266198

Changed in python-zaqarclient:
status: New → In Progress

Reviewed: https://review.openstack.org/265548
Committed: https://git.openstack.org/cgit/openstack/sahara/commit/?id=9e4b7c735bf4c56456ff04927766cf3b9e2cd1be
Submitter: Jenkins
Branch: master

commit 9e4b7c735bf4c56456ff04927766cf3b9e2cd1be
Author: LiuNanke <email address hidden>
Date: Sat Jan 9 21:49:53 2016 +0800

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.
    Closes-bug: #1529836

    Change-Id: Iabc3e551335640928b40f9d9751ddfb72a77584c

Changed in sahara:
status: In Progress → Fix Released
Changed in sahara:
importance: Undecided → Low
milestone: none → mitaka-2
LiuNanke (nanke-liu) on 2016-01-12
Changed in heat:
assignee: nobody → LiuNanke (nanke-liu)
status: New → In Progress

Reviewed: https://review.openstack.org/265588
Committed: https://git.openstack.org/cgit/openstack/neutron-fwaas/commit/?id=39fb98e9a6efa3379d524bcc5400a9a2a49e96e2
Submitter: Jenkins
Branch: master

commit 39fb98e9a6efa3379d524bcc5400a9a2a49e96e2
Author: LiuNanke <email address hidden>
Date: Sun Jan 10 04:08:11 2016 +0800

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.
    Closes-bug: #1529836

    Change-Id: Iaa37baf02de860e71eea0cedc775a10efc868fb4

Change abandoned by LiuNanke (<email address hidden>) on branch: master
Review: https://review.openstack.org/265538

Change abandoned by caoyue (<email address hidden>) on branch: master
Review: https://review.openstack.org/266800

LiuNanke (nanke-liu) on 2016-01-13
Changed in keystoneauth:
assignee: nobody → LiuNanke (nanke-liu)
status: New → In Progress
LiuNanke (nanke-liu) on 2016-01-13
Changed in keystonemiddleware:
assignee: nobody → LiuNanke (nanke-liu)
status: New → In Progress
1 comments hidden view all 105 comments
Changed in heat:
assignee: LiuNanke (nanke-liu) → Yatin Kumbhare (yatinkumbhare-c)
Changed in keystonemiddleware:
importance: Undecided → Low
Changed in senlin:
status: In Progress → Fix Released
Changed in keystoneauth:
status: In Progress → Fix Released
Changed in keystonemiddleware:
status: In Progress → Fix Released
sumit (er-sksumit) on 2016-01-17
Changed in congress:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in nova-powervm:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in kwapi:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in python-heatclient:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in glance-store:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
sumit (er-sksumit) on 2016-01-17
Changed in networking-powervm:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in horizon-cisco-ui:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in ceilometer-powervm:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in bilean:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in blazar:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
sumit (er-sksumit) on 2016-01-17
Changed in group-based-policy-specs:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in murano:
importance: Medium → Wishlist
Changed in python-heatclient:
assignee: sumit (er-sksumit) → Harshada Mangesh Kakad (harshada-kakad)
Changed in ceilometer-powervm:
assignee: sumit (er-sksumit) → Harshada Mangesh Kakad (harshada-kakad)
Changed in networking-powervm:
assignee: sumit (er-sksumit) → Harshada Mangesh Kakad (harshada-kakad)
Changed in blazar:
assignee: sumit (er-sksumit) → Harshada Mangesh Kakad (harshada-kakad)
Changed in glance-store:
status: In Progress → Fix Released
Changed in horizon:
importance: Undecided → Low
Changed in heat:
status: In Progress → Fix Released
25 comments hidden view all 105 comments

Reviewed: https://review.openstack.org/266198
Committed: https://git.openstack.org/cgit/openstack/python-zaqarclient/commit/?id=e97a78387b950804f48f49222d07d18d009db85e
Submitter: Jenkins
Branch: master

commit e97a78387b950804f48f49222d07d18d009db85e
Author: MD NADEEM <email address hidden>
Date: Tue Jan 12 11:32:40 2016 +0530

    Fixing the deprecated library function

    os.popen() is deprecated since version 2.6. Resolved with use
    of subprocess module.

    Change-Id: I71241cc8d47d1be4dcb20924937cb1c25afbc240
    Partial-Bug: #1529836

Download full text (30.2 KiB)

Reviewed: https://review.openstack.org/272201
Committed: https://git.openstack.org/cgit/openstack/swift/commit/?id=f9b7fd3074b5b0e5d6ea879d4144f7bfeec5d46b
Submitter: Jenkins
Branch: feature/crypto

commit e13a03c379273ee10e678818078b9c40a96a7dc9
Author: Tim Burke <email address hidden>
Date: Wed Jan 20 16:06:26 2016 -0800

    Stop overriding builtin range

    Change-Id: I315f8b554bb9e96659b455f4158f074961bd6498

commit 0a404def7d54d1ef1c85c11a378052260c4fda4c
Author: John Dickinson <email address hidden>
Date: Wed Jan 20 15:19:35 2016 -0800

    remove unneeded duplicate dict keys

    Change-Id: I926d7aaa9df093418aaae54fe26e8f7bc8210645

commit 221f94fdd39fd2dcd9a2e5565adceab615d55913
Author: John Dickinson <email address hidden>
Date: Tue Jan 19 14:50:24 2016 -0800

    authors and changelog updates for 2.6.0

    Change-Id: Idd0ff9e70abc0773be183c37cd6125fe852da7c0

commit 58359269b0e971e52f0eb7f97221566ca2148014
Author: Samuel Merritt <email address hidden>
Date: Tue Dec 8 16:36:05 2015 -0800

    Fix memory/socket leak in proxy on truncated SLO/DLO GET

    When a client disconnected while consuming an SLO or DLO GET response,
    the proxy would leak a socket. This could be observed via strace as a
    socket that had shutdown() called on it, but was never closed. It
    could also be observed by counting entries in /proc/<pid>/fd, where
    <pid> is the pid of a proxy server worker process.

    This is due to a memory leak in SegmentedIterable. A SegmentedIterable
    has an 'app_iter' attribute, which is a generator. That generator
    references 'self' (the SegmentedIterable object). This creates a
    cyclic reference: the generator refers to the SegmentedIterable, and
    the SegmentedIterable refers to the generator.

    Python can normally handle cyclic garbage; reference counting won't
    reclaim it, but the garbage collector will. However, objects with
    finalizers will stop the garbage collector from collecting them* and
    the cycle of which they are part.

    For most objects, "has finalizer" is synonymous with "has a __del__
    method". However, a generator has a finalizer once it's started
    running and before it finishes: basically, while it has stack frames
    associated with it**.

    When a client disconnects mid-stream, we get a memory leak. We have
    our SegmentedIterable object (call it "si"), and its associated
    generator. si.app_iter is the generator, and the generator closes over
    si, so we have a cycle; and the generator has started but not yet
    finished, so the generator needs finalization; hence, the garbage
    collector won't ever clean it up.

    The socket leak comes in because the generator *also* refers to the
    request's WSGI environment, which contains wsgi.input, which
    ultimately refers to a _socket object from the standard
    library. Python's _socket objects only close their underlying file
    descriptor when their reference counts fall to 0***.

    This commit makes SegmentedIterable.close() call
    self.app_iter.close(), thereby unwinding its generator's stack and
    making it eligible for garbage collection.

    * in Python < 3...

tags: added: in-feature-crypto

This issue was fixed in the openstack/oslo.config 3.4.0 release.

Reviewed: https://review.openstack.org/267556
Committed: https://git.openstack.org/cgit/openstack/neutron-lib/commit/?id=da8ed114ccfb149abe324dee53eba567c7b618f5
Submitter: Jenkins
Branch: master

commit da8ed114ccfb149abe324dee53eba567c7b618f5
Author: Harshada Mangesh Kakad <email address hidden>
Date: Thu Jan 14 05:26:16 2016 -0800

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: I0072000a1386aaa5d3eacef4bfb9dc74edb915ec
    Closes-Bug: #1529836

Reviewed: https://review.openstack.org/265543
Committed: https://git.openstack.org/cgit/openstack/python-heatclient/commit/?id=5e92ba8f441ddc244ce5aa02e1abe560d1de1969
Submitter: Jenkins
Branch: master

commit 5e92ba8f441ddc244ce5aa02e1abe560d1de1969
Author: LiuNanke <email address hidden>
Date: Sat Jan 9 21:17:34 2016 +0800

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.
    Closes-bug: #1529836

    Change-Id: I04978ecdce04c8817c4c1c231ba7e65b908f5471

Changed in python-heatclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/osprofiler 1.0.0 release.

This issue was fixed in the openstack/oslo.messaging 4.1.0 release.

Changed in cinder:
importance: Undecided → Low

Reviewed: https://review.openstack.org/267613
Committed: https://git.openstack.org/cgit/openstack/qa-specs/commit/?id=01e00ec765a85ba71b79d0f359d89918edf0dd4d
Submitter: Jenkins
Branch: master

commit 01e00ec765a85ba71b79d0f359d89918edf0dd4d
Author: Harshada Mangesh Kakad <email address hidden>
Date: Thu Jan 14 06:45:18 2016 -0800

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: Ic524d0548e593a319e55b1111bec555a34de0b19
    Closes-Bug: #1529836

Changed in tempest:
status: In Progress → Fix Released

This issue was fixed in the openstack/taskflow 1.27.0 release.

Change abandoned by Alistair Coles (<email address hidden>) on branch: feature/crypto
Review: https://review.openstack.org/277950

Reviewed: https://review.openstack.org/267615
Committed: https://git.openstack.org/cgit/openstack/ceilometer-powervm/commit/?id=8e1651bba33dc1546f4cb0da1e52a50253802cbe
Submitter: Jenkins
Branch: master

commit 8e1651bba33dc1546f4cb0da1e52a50253802cbe
Author: Harshada Mangesh Kakad <email address hidden>
Date: Thu Jan 14 06:47:42 2016 -0800

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: Ibdcfdf156f03588b152b86401809adcb433e4699
    Closes-Bug: #1529836

Changed in ceilometer-powervm:
status: In Progress → Fix Released
Changed in networking-powervm:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/267648
Committed: https://git.openstack.org/cgit/openstack/networking-powervm/commit/?id=6b14ac69332056a14c98f8b4401ac3a93566a066
Submitter: Jenkins
Branch: master

commit 6b14ac69332056a14c98f8b4401ac3a93566a066
Author: Harshada Mangesh Kakad <email address hidden>
Date: Thu Jan 14 07:32:32 2016 -0800

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: If3be398196688c9634cb12bfd96daac71f0bf42d
    Closes-Bug: #1529836

Changed in nova-powervm:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/279000
Committed: https://git.openstack.org/cgit/openstack/nova-powervm/commit/?id=c80c843d8a0bca5b2309349945b39fea707a85a8
Submitter: Jenkins
Branch: master

commit c80c843d8a0bca5b2309349945b39fea707a85a8
Author: kairoaraujo <email address hidden>
Date: Thu Feb 11 09:52:14 2016 -0200

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: Ic9c994dd044ac0c27194ba05634c826c6ca9e7ba
    Closes-Bug: #1529836

This issue was fixed in the openstack/glance_store 0.11.0 release.

Fix proposed to branch: master
Review: https://review.openstack.org/282124

Changed in ceilometer:
assignee: lei zhang (zhang-lei) → Kairo Araujo (kairo)
no longer affects: oslo-incubator

This issue was fixed in the openstack/python-saharaclient 0.12.0 release.

Reviewed: https://review.openstack.org/282124
Committed: https://git.openstack.org/cgit/openstack/ceilometer/commit/?id=05063795724a23e42b3cb8ccc1c2e454c1ed51d2
Submitter: Jenkins
Branch: master

commit 05063795724a23e42b3cb8ccc1c2e454c1ed51d2
Author: kairoaraujo <email address hidden>
Date: Thu Feb 18 23:19:41 2016 -0200

    Initial seed of hacking

    It is an initial seed of hacking rules based on neutron and
    nova projects.
    For ceilometer it prevents bug 1508442 and closes/prevents
    bug 1529836.

    All the requirements about the hacking rules were corrected
    on this propose review.
    To be clear about the requirements, the only alarmed was
    about import[1], in specific H306
    [H306] "Alphabetically order your imports by the full module
    path. Organize your imports"

    [1] http://docs.openstack.org/developer/hacking/

    Change-Id: Ia530873078c97925bfb91fde87b38131426a74c2
    Closes-Bug: 1529836

Changed in ceilometer:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/267504
Committed: https://git.openstack.org/cgit/openstack/cinder-specs/commit/?id=d223480e86060a43e9cf376ab475e3da5f9d8575
Submitter: Jenkins
Branch: master

commit d223480e86060a43e9cf376ab475e3da5f9d8575
Author: Harshada Mangesh Kakad <email address hidden>
Date: Thu Jan 14 04:18:57 2016 -0800

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: Ic9043aab4466b115298d1c8bddc0f827177fdac9
    Closes-Bug: #1529836

Changed in cinder:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/281577
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=b4a3193c20a40ddbdcabeb304bc34cda3d7dba77
Submitter: Jenkins
Branch: master

commit b4a3193c20a40ddbdcabeb304bc34cda3d7dba77
Author: kairoaraujo <email address hidden>
Date: Wed Feb 17 21:07:16 2016 -0200

    Hacking: check for deprecated os.popen()

    Add hacking check for deprecated library function os.popen().
    This hacking prevents new os.popen() in the code.

    Closes-Bug: 1529836

    Change-Id: I09ad101861b790d2f9bec45757b8c921e68b696e

This issue was fixed in the openstack/heat 6.0.0.0b3 development milestone.

This issue was fixed in the openstack/ceilometer 6.0.0.0b3 development milestone.

This issue was fixed in the openstack/nova 13.0.0.0b3 development milestone.

This issue was fixed in the openstack/searchlight 0.2.0.0b3 development milestone.

Download full text (71.7 KiB)

Reviewed: https://review.openstack.org/290148
Committed: https://git.openstack.org/cgit/openstack/swift/commit/?id=0f7f1de233919a0b046349a3e31ae7fc8675a1c5
Submitter: Jenkins
Branch: feature/hummingbird

commit d6b4587a554b51ba733b151e0d924735b63d07e0
Author: Olga Saprycheva <email address hidden>
Date: Tue Mar 8 10:57:56 2016 -0600

    Removed redundant file for flake8 check

    Change-Id: I4322978aa20ee731391f7709bbd79dee140fc703

commit 643dbce134140530eef2ae62c42fef1107f905ed
Author: OpenStack Proposal Bot <email address hidden>
Date: Tue Mar 8 06:35:49 2016 +0000

    Imported Translations from Zanata

    For more information about this automatic import see:
    https://wiki.openstack.org/wiki/Translations/Infrastructure

    Change-Id: I96b8ff1287bf219c5f8d56a3a4868c1063a953f9

commit 83713d37f0331c5ce9d377f4b4e8724551ae30ca
Author: Daisuke Morita <email address hidden>
Date: Mon Mar 7 18:30:47 2016 -0800

    Missing comments for storage policy parameter

    There are missing comments about storege_policy_index so appropriate
    comments are added.

    Change-Id: I3de3f0e6864e65918ca1a13cce70f19c23d295f5

commit 2cff2dec3d1c4588f5103e39679c43b3dded6dcb
Author: Olga Saprycheva <email address hidden>
Date: Fri Mar 4 15:19:39 2016 -0600

    Fixed pep8 and flake8 errors in doc/source/conf.py and updated flake8 commands in tox.ini to test it.

    Change-Id: I2add370e4cfb55d1388e3a8b41f688a7f3f2c621

commit 043fbca6d08648baa314ea2236f1ccdca8785f16
Author: Christian Schwede <email address hidden>
Date: Fri Mar 4 09:33:17 2016 +0000

    Remove Erasure Coding beta status from docs

    This removes notes stating support for Erasure coding as beta. Questions
    regarding the stability of EC are coming up regularly, and are often referring
    to the docs that state EC as still in beta.

    Besides this, a note marking statsd support as beta has been removed as well.

    Change-Id: If4fb6a5c4cb741d42953db3cee8cb17a1d774e15

commit 09c73b86e9255f28fbd4cf571a52c17d549a8f9a
Author: Pete Zaitcev <email address hidden>
Date: Thu Mar 3 10:24:28 2016 -0700

    Fix a crash in exception printout

    Says the number of arguments does not match the number of '%'.

    Change-Id: I8b5e395a07328fb9d4ac7a19f8ed2ae1637bee3b

commit fad5fabe0a22e8a86635a66523dd3d3d3b1fa705
Author: Tim Burke <email address hidden>
Date: Thu Mar 3 15:07:08 2016 +0000

    During functional tests, 404 response to a DELETE is successful

    Previously, we would only consider 204 responses successful, which would
    cause some spurious gate failures, such as

    http://logs.openstack.org/66/287666/3/check/gate-swift-dsvm-functional/c6d2673/console.html#_2016-03-03_13_41_07_846

    Change-Id: Ic8c300647924352a297a2781b50064f7657038b4

commit e91de49d6864b3794f8dc5acd9c1bf0c2f7409d1
Author: Alistair Coles <email address hidden>
Date: Mon Aug 10 10:30:10 2015 -0500

    Update container on fast-POST

    This patch makes a number of changes to enable content-type
    metadata to be updated when using the fast-POST mode of
    operation, as proposed in the associated spec ...

tags: added: in-feature-hummingbird
Changed in horizon:
milestone: none → newton-1
Changed in horizon-cisco-ui:
assignee: sumit (er-sksumit) → nobody
status: In Progress → Confirmed

Reviewed: https://review.openstack.org/262727
Committed: https://git.openstack.org/cgit/openstack/horizon/commit/?id=935c483b9e7955d4fe59e7493344d88a21e7ce78
Submitter: Jenkins
Branch: master

commit 935c483b9e7955d4fe59e7493344d88a21e7ce78
Author: Harshada Mangesh Kakad <email address hidden>
Date: Thu Dec 31 01:52:38 2015 -0800

    Fixing the deprecated library function.

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: I6ac6eb8618dd3d7325b43c67c1cb294bd8bff702
    Partial-Bug: #1529836

Shu Muto (shu-mutou) on 2016-04-08
Changed in zaqar-ui:
assignee: nobody → Shu Muto (shu-mutou)
status: New → In Progress

Reviewed: https://review.openstack.org/267536
Committed: https://git.openstack.org/cgit/openstack/sahara-specs/commit/?id=ccc72bdd8cffca476cbe63a074b432f228b2a6e5
Submitter: Jenkins
Branch: master

commit ccc72bdd8cffca476cbe63a074b432f228b2a6e5
Author: Harshada Mangesh Kakad <email address hidden>
Date: Thu Jan 14 05:01:19 2016 -0800

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since python 2.6.
    Resolved with use of subprocess module.

    Change-Id: Id6a5c276db0fffe0f6f49c3013651a354a508fb0
    Closes-Bug: #1529836

Tim Hinrichs (thinrichs) on 2016-04-13
Changed in congress:
importance: Undecided → Low

Reviewed: https://review.openstack.org/303211
Committed: https://git.openstack.org/cgit/openstack/zaqar-ui/commit/?id=8dac58c47e1f0330407852e64771f88a585a8d82
Submitter: Jenkins
Branch: master

commit 8dac58c47e1f0330407852e64771f88a585a8d82
Author: shu-mutou <email address hidden>
Date: Fri Apr 8 13:14:50 2016 +0900

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since python 2.6.
    Resolved with use of subprocess module.

    Change-Id: I1f06fb713b25c42f975e525711afaf2cf4a58a5a
    Closes-Bug: #1529836

Changed in zaqar-ui:
status: In Progress → Fix Released
Changed in horizon-cisco-ui:
assignee: nobody → Sharat Sharma (sharat-sharma)
status: Confirmed → In Progress
Changed in horizon:
status: In Progress → Fix Released
Sharat Sharma (sharat-sharma) wrote :

https://review.openstack.org/315507 proposed for group-based-policy-specs

Changed in group-based-policy-specs:
assignee: sumit (er-sksumit) → Sharat Sharma (sharat-sharma)

Reviewed: https://review.openstack.org/312902
Committed: https://git.openstack.org/cgit/openstack/horizon-cisco-ui/commit/?id=adc4c11d6c78951461e5af17c78bca5bed6081e2
Submitter: Jenkins
Branch: master

commit adc4c11d6c78951461e5af17c78bca5bed6081e2
Author: sharat.sharma <email address hidden>
Date: Thu May 5 16:56:59 2016 +0530

    Fixing the deprecated library function.

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: I83787c373ffc9a76b9c378e27cee87ae555930fd
    Closes-Bug: #1529836

Changed in horizon-cisco-ui:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/315507
Committed: https://git.openstack.org/cgit/openstack/group-based-policy-specs/commit/?id=6a5174476104615b858e0b5aa0f50ba56c8a93b5
Submitter: Jenkins
Branch: master

commit 6a5174476104615b858e0b5aa0f50ba56c8a93b5
Author: sharat.sharma <email address hidden>
Date: Thu May 12 17:38:10 2016 +0530

    Fixing the deprecated library function.

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: Ia3c23ad1d02590928a59928ab32cd2f95c09b0da
    Closes-Bug: #1529836

Changed in group-based-policy-specs:
status: In Progress → Fix Released

This issue was fixed in the openstack/neutron-lib 0.0.2 release.

Change abandoned by Sean Dague (<email address hidden>) on branch: master
Review: https://review.openstack.org/262262

Sean Dague (sdague) wrote :

No open reviews found in this bug, unassigning. Please add a comment with active reviews before assigning an individual, or tag the bug in the gerrit review, which will do that automatically. We try not to assign bugs without patches as that discourages other folks from looking into bugs.

Changed in devstack:
assignee: Harshada Mangesh Kakad (harshada-kakad) → nobody
status: In Progress → New
Changed in blazar:
importance: Undecided → Wishlist
Sean Dague (sdague) on 2017-06-27
no longer affects: devstack

Reviewed: https://review.openstack.org/267585
Committed: https://git.openstack.org/cgit/openstack/blazar/commit/?id=c17a052434febea6380f521f5ab1e3b11d82a4bc
Submitter: Jenkins
Branch: master

commit c17a052434febea6380f521f5ab1e3b11d82a4bc
Author: Harshada Mangesh Kakad <email address hidden>
Date: Thu Jan 14 06:04:52 2016 -0800

    Replace deprecated library function os.popen() with subprocess

    os.popen() is deprecated since version 2.6. Resolved with use of
    subprocess module.

    Change-Id: Iae90e1ab30c49f4f96a29bc9b1867d175ee0d059
    Closes-Bug: #1529836

Changed in blazar:
status: In Progress → Fix Released

Change abandoned by gecong (<email address hidden>) on branch: master
Review: https://review.openstack.org/267542
Reason: The issue was solved, thanks.

Change abandoned by Zane Bitter (<email address hidden>) on branch: master
Review: https://review.openstack.org/267563
Reason: Fixed in I04978ecdce04c8817c4c1c231ba7e65b908f5471.

Displaying first 40 and last 40 comments. View all 105 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers